Gallery upload message 1.1.2

License Agreement
CobbleCity - Kostenlos
Website
https://cobblecity.de/
Supported Versions
Burning Board 4.0 / WCF 2.0
Burning Board 4.1 / WCF 2.1
WoltLab Suite 3.0

Shows an any message of type error, success, info or warning on the upload of images to the gallery.

You want to suggest to your users important information, such as your data protection regulation or your terms of use, and make sure that they really notice these before uploading an image? With this extension you can show any message when uploading images to the gallery and this takes place where it can't be missed: directly under the upload field. There are virtually no limits to the design of this message: You can use HTML to determine the appearance. The classes of representation - error, success, info and warning - are available.

Images

  • Version 1.1.2

    - Compatibility with WSC 3
  • Version 1.1.1

    - compatibility for gallery 2.1
  • Version 1.1.0

    - Added support for "Extended Gallery"-AddOn by CLS-Design
  • Version 1.0.0 pl 1

  • Dieses Paket ist inkompatibel mit den folgenden, installierten Paketen:

    • „WoltLab Suite Gallery“ (com.woltlab.gallery)
    • „WoltLab Suite Core“ (com.woltlab.wcf)

    jeweils 3.1....schade....


    gibt es ein update?

  • Tolles Plugin. Könntest du das vielleicht auf die FileBase erweitern?

  • vielen dank für dieses nützliche plugin

  • Gallery upload FTP Amazon ? yandex ? Google Cloud?

    • Was genau meinst du? Wie kommst du auf FTP oder diese Anbieter? Am besten liest du dir einmal die Beschreibung durch oder schaust dir die Screenshots an :)

  • Cooles Plugin, hat auf Anhieb funktioniert - danke!

  • Nach dem einfügen des Plugins: Fatal error: PHP notice in file /var/www/vhosts/forum-112.de/httpdocs/wcf/lib/system/package/PackageUpdateDispatcher.class.php (591): Undefined index: de.cobblecity.gallery.uploadMessage

    • Irgendwas scheint in deinem Updateserver Pakete Cache noch von dem Uraltpaket zurückgeblieben zu sein. Du kannst den Fehler beheben in dem du folgenden SELECT auf deiner Datenbank ausführst: -- DELETE FROM wcf1_package_update WHERE package = 'de.cobblecity.gallery.uploadMessage'; -- Falls du dir das nicht zutraust, kannst du mir Zugangsdaten für deine Datenbank via PN zusenden und ich behebe das Problem für dich. Leider kann ich den Fehler selbst nicht beheben, da er durch die Paketserver von WoltLab verursacht werden.

    • Ok nun läuft es wieder aber: Could not execute prepared statement: SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry '2-de.cobblecity.gallery.uploadmessage' for key 'packageUpdateServerID'
      Ist nach wie vor noch da was mach ich da nun?

    • Kannst du mal den kompletten Cache über das ACP leeren? Dann sollte der Fehler theoretisch verschwinden. Falls nicht, muss ich eine andere Lösung finden.

    • Hab hin bekommen hab noch 2 weitere Datensätze in der Datenbank löschen müssen

    • Solange du das nicht in der wcf1_package getan hast... Der Fehler tut mir leid. Leider kann ich ihn weder verhindern, noch beheben, da er durch ein Relikt im WoltLab Paketserver ausgelöst wird. Siehe dazu auch: Fehler nach Plugin-Upload im Pluginstore

  • Sehr sinnvolle Erweiterung, wenn man Kunden darauf hinweisen möchte, das keine Copyright Bilder hochgeladen werden dürfen. Danke für die Arbeit

  • vielen Dank Patrick.. bei mir war es leider schon ohne die Installtion von dem Plugin so.. nur mal anmerke,,. wollte nur update suchen.. und dann kam es schon zu der Fehlermeldung

  • ist bei nir auch so Patrick.. und auch ich nutze die Erweiterung von CLS.. denke Hamburger auch..

    • Okay... Ja, die Erweiterung von CLS wird erst ab der nächsten Version unterstützt... Lade sie heute abend in den Store ;)

    • I will wait for next version, I also use CLS gallery extension. Good plugins. :)

    • Ich habe das alte Plugin entfernen lassen, damit sollte der Fehler nun behoben sein.
      I have deleted the old plugin, to fix this issue. The next version supports the gallery extension from CLS ;)

  • Habe dein Plugin gerade installiert unter 4.11 und erhalte eine Fehlermeldung im ACP sobald ich versuche, ein Update über "Updates suchen" zu beziehen. Direkt beim Klicken auf den Button geht ein Popup mit dieser Meldung auf:
    PHP notice in file /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/system/package/PackageUpdateDispatcher.class.php (543): Undefined index: de.cobblecity.gallery.uploadMessage


    Stacktrace:
    #0 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/system/package/PackageUpdateDispatcher.class.php(543): wcf\system\WCF::handleError(8, 'Undefined index...', '/kunden/309010_...', 543, Array)
    #1 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/data/package/update/PackageUpdateAction.class.php(390): wcf\system\package\PackageUpdateDispatcher->getAvailableUpdates()
    #2 [internal function]: wcf\data\package\update\PackageUpdateAction->searchForUpdates()
    #3 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/data/AbstractDatabaseObjectAction.class.php(196): call_user_func(Array)
    #4 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/action/AJAXProxyAction.class.php(77): wcf\data\AbstractDatabaseObjectAction->executeAction()
    #5 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/action/AJAXInvokeAction.class.php(96): wcf\action\AJAXProxyAction->invoke()
    #6 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/action/AbstractAction.class.php(49): wcf\action\AJAXInvokeAction->execute()
    #7 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/action/AJAXInvokeAction.class.php(63): wcf\action\AbstractAction->__run()
    #8 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/system/request/Request.class.php(58): wcf\action\AJAXInvokeAction->__run()
    #9 /kunden/309010_21147/webseiten/aus-suederelbe/wcf/lib/system/request/RequestHandler.class.php(139): wcf\system\request\Request->execute()
    #10 /kunden/309010_21147/webseiten/aus-suederelbe/blog/acp/index.php(10): wcf\system\request\RequestHandler->handle('blog', true)
    #11 {main}